﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://download.microsoft.com/download/E/4/7/E4771905-1079-445B-8BF9-8A1A075D8A10/IntegrationRuntime_5.37.8762.1.msi'
$checksum   = 'ec6a13322eac04f06fc7e19b31ed05d07169da652661fcc026ab6b878803fb03'
$softwareName = 'microsoft-integration-runtime *5.37.8762.1*'


if ([Version] (Get-CimInstance Win32_OperatingSystem).Version -lt [version] "10.0.0.0") {
  Write-Error "Microsoft Integration Runtime requires a minimum of Windows 10 or Windows Server 2016"
}


$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'msi'
  url           = $url
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
  checksum      = $checksum
  checksumType  = 'sha256'
  softwareName  = $softwareName
}

Install-ChocolateyPackage @packageArgs
